<section class="content">
  <div class="container-fluid">
    <div class="row">
      <div class="col-12">
        <!-- Main content -->
        <div class="invoice p-3 mb-3" *ngIf="preApprovalDetail">
          <!-- title row -->
          <div class="row page-header">
            <div class="col-12 ">
              <h4>
                <i class="fas fa-globe"></i> Subject :: {{preApprovalDetail.memoSubject}}
                [ {{preApprovalDetail.paymentMode}} ]
                <small class="float-right">Memo Date( P/B ):
                  <strong>
                    {{preApprovalDetail.memoDatePreApproval | date:'MMM d, y, h:mm:ss a'}}
                    {{preApprovalDetail.memoDateBillPayment | date:'MMM d, y, h:mm:ss a'}}
                  </strong>
                </small>
              </h4>
            </div>

            <!-- /.col -->
          </div>
          <hr style="margin-bottom: 5px;margin-top: 0px;">
          <!-- info row -->
          <div class="row invoice-info">
            <div class="col-sm-4 invoice-col">
              <span *ngIf="preApprovalDetail.referenceNumberPreApproval">
                <b>Reference Number(PRE):</b><span
                class="fa-pull-right">{{preApprovalDetail.referenceNumberPreApproval}}</span> <br>
              </span>
              <span *ngIf="preApprovalDetail.referenceNumberBillPayment">
                <b>Reference Number(BILL):</b><span
                class="fa-pull-right">{{preApprovalDetail.referenceNumberBillPayment}}</span><br>
              </span>
              <b>Proposed Amount:</b> <span class="fa-pull-right">{{preApprovalDetail.proposedAmount | currency : 'NPR '}}</span><br>
              <b>Advance:</b> <span class="fa-pull-right">{{preApprovalDetail.advance | currency : 'NPR '}}</span><br>
              <b>Month:</b> <span class="fa-pull-right">{{preApprovalDetail.month}}</span><br>
              <b>Fiscal Year:</b> <span class="fa-pull-right">{{preApprovalDetail.fiscalYear}}</span><br>
              <b>Expense Type:</b> <span class="fa-pull-right">{{preApprovalDetail.expenditureType}}</span><br>
            </div>
            <!-- /.col -->
            <div class="col-sm-4 invoice-col">
              <span *ngIf="preApprovalDetail.preApprovalRequestedByBranch">
                <b>Requested By Branch:</b>
              <span class="fa-pull-right">
              {{ preApprovalDetail.preApprovalRequestedByBranch.name + ' ( ' + preApprovalDetail.preApprovalRequestedByBranch.code + ' )'  }}
              </span><br>
              </span>
              <span *ngIf="preApprovalDetail.billPaymentRequestedByBranch">
                  <b *ngIf="preApprovalDetail.billPaymentRequestedByBranch">Bill Payment Requested By:</b>
              <span class="fa-pull-right" *ngIf="preApprovalDetail.billPaymentRequestedByBranch">
                {{ preApprovalDetail.billPaymentRequestedByBranch?.name + ' ( ' + preApprovalDetail.billPaymentRequestedByBranch?.code + ' )'  }}
              </span> <br>
              </span>
              <span *ngIf="preApprovalDetail.justification">
                 <b>Justification:</b>
                  <span class="fa-pull-right" style="width: 100%">
                      {{preApprovalDetail.justification}}
                  </span> <br>
              </span>
              <br>
            </div>
            <div class="col-sm-4 invoice-col">
              <app-view-doc [type]="type" [expenditureDetailId]="id"></app-view-doc>
            </div>

            <div class="col-sm-12 invoice-col" *ngIf="links.length > 0">
             <span>
                <b>Link:</b>
                <span *ngFor="let link of links">
                  <a target="_blank"
                     style="overflow-wrap: break-word;"
                     (click)="goToRefLink(link)">
                    {{link}}
                  </a>
                  <a style="background-color: red">  &nbsp;&nbsp; </a>
                </span>
                <br>
              </span>
            </div>
            <div class="col-sm-12 invoice-col">
              <br>
              <span>
                <b>Memo Detail:</b>
                <div class="memo-detail">
                  <div [innerHTML]="preApprovalDetail.memoDetail"></div>
                 </div>
              </span>
            </div>
          </div>
          <div class="row invoice-info">
            <div class="col-sm-12 invoice-col">
              <app-view-bill-detail [expDetailId]="id"
                                    (billNumber)="getBillNumber($event)">
              </app-view-bill-detail>
              <button class="btn btn-info btn-block" (click)="viewVendorDetail()">
                View Vendor Report</button>
            </div>
          </div>
          <hr>
          <app-expense-detail [expenseDetail]="preApprovalDetail.expenditureTxnDetailResources"
                              *ngIf="preApprovalDetail"
                              [expenditureDetailId]="id"
                              [showEdit]="true"
                              [billAmount]="preApprovalDetail.proposedAmount"
                              [approvalType]="approvalType"
                              [isApprovedBillPayment]="false"></app-expense-detail>
          <!--          <hr>-->
          <!--          <app-view-budget-detail-->
          <!--            *ngIf="preApprovalDetail && preApprovalDetail.paymentMode === 'NORMAL'"-->
          <!--            [expenditureDetailId]="id">-->
          <!--          </app-view-budget-detail>-->
          <app-support-approve-detail [preApprovalDetail]="preApprovalDetail"
                                      [id]="id"
                                      [type]="type">
          </app-support-approve-detail>
          <app-remarks [expenditureDetailId]="id" [type]="type"></app-remarks>
          <app-checker-maker [expenditureDetailId]="id"></app-checker-maker>

          <app-transaction-detail [expenditureDetailId]="id"></app-transaction-detail>
          <hr>
          <div class="row no-print">
            <div class="col-12">
              <a (click)="goToLink()"
                 class="btn btn-default">
                <i class="fas fa-print"></i>
                Print
              </a>
            </div>
          </div>
        </div>
        <!-- /.invoice -->
      </div><!-- /.col -->
    </div><!-- /.row -->
  </div><!-- /.container-fluid -->
</section>
<div class="row" *ngIf="preApprovalDetail">
  <div class="col-sm-6">
    <button class="btn btn-success btn-block"
            *ngIf="approvalType === 'verify'"
            type="text"
            (click)="confirm(approvalType)"
            pButton icon="pi pi-check"
            [disabled]="loading"
            label="Approve Bill Payment">
      <span *ngIf="loading" class="spinner-border spinner-border-sm mr-1"></span>
    </button>
    <button class="btn btn-success btn-block"
            *ngIf="approvalType === 'payment' && paymentStatus !== 'PAID'"
            type="text"
            (click)="confirm(approvalType)"
            [disabled]="loading">
      Push to CBS for Payment {{loading}}
      <span *ngIf="loading" class="spinner-border spinner-border-sm mr-1"></span>
    </button>
  </div>
  <div class="col-sm-6">
    <button class="btn btn-danger btn-block" *ngIf="approvalType === 'verify'"
            [routerLink]="['/approved-bills/all']">
      Cancel
    </button>
    <button class="btn btn-danger btn-block" *ngIf="approvalType === 'payment'
    && paymentStatus !== 'PAID'"
            [routerLink]="['/approved-bills/make-payment']">
      Cancel Payment
    </button>
  </div>
</div>

<p-confirmDialog header="Confirmation" icon="pi pi-exclamation-triangle"></p-confirmDialog>



<p-dialog [(visible)]="showVendorReport"
          [modal]="true"
          [responsive]="true"
          [maximizable]="true"
          [baseZIndex]="100000"
          [style]="{width: '890px', height: 'auto'}">
  <p-header>
    <h3 style="font-weight: 800;color: #454545;float: left; margin: 0;">Vendor Wise Memo Details</h3>
  </p-header>
  <p-table id="exportTable"
           class="text-center"
           [columns]="columnName"
           [value]="(data$)"
           [resizableColumns]="true"
           [autoLayout]="true">

    <ng-template pTemplate="caption">
      List of Memos with same vendor
      :&nbsp;{{ totalRecords }}
    </ng-template>
    <ng-template pTemplate="header" let-columns>
      <tr>
        <th *ngFor="let col of columns" [pSortableColumn]="col.value">
          {{col.name}}
          <p-sortIcon [field]="col.value"></p-sortIcon>
        </th>
      </tr>
    </ng-template>

    <ng-template pTemplate="body" let-list let-i="rowIndex">
      <tr [ngStyle]="{'background-color':i%2 === 0 ? '#fafafa' : '#e9ecef'}">
        <td>{{ i + 1 + itemsPerPage * page }}</td>
        <td>{{list.memoCode}}</td>
        <td>{{list.subject}}</td>
        <!--              <td style="overflow-wrap: anywhere">{{list.description}}</td>-->
        <td>{{list.currentBillPaymentStatus}}</td>
        <td>{{list.memoDate | date:'MMM d, y, h:mm:ss a'}}</td>
        <td>{{list.fiscalYear}}</td>
        <td>{{list.billAmount | currency: 'NPR. '}}</td>
        <td>
          <button (click)="goTo()"
                  class="btn btn-success btn-xs mr-2" target="_blank">
            <i class="pi pi-eye" style="font-size: 1rem"></i>
          </button>
        </td>
      </tr>
    </ng-template>
  </p-table>
  <p-paginator
    [rows]="itemsPerPage"
    [totalRecords]="totalRecords"
    pageLinkSize="3"
    [rowsPerPageOptions]="rowsPerPageOptions"
    (onPageChange)="paginate($event)">
  </p-paginator>
</p-dialog>
